## boost-mpi-source1.42 1.42.0

=== debian/changelog ===
boost-mpi-source1.42 (1.42.0-4ubuntu2) natty; urgency=low

  * debian/control: added packages dropped from boost-defaults, to make easier
    transitions: libboost-graph-parallel-dev, libboost-mpi-dev and
    libboost-mpi-python-dev (LP: #726360)
  * Put again in sync with boost1.42 by using the same version number (packages
    were not installable because of the strict version dependency) and adding
    patch gcc4.5-fixes.patch. The binary packages are installable again.
  * patches/gcc4.5-fixes.patch: 
    - Add patch from SVN r61647 to fix compilation problems with gcc 4.5
  * debian/rules: add dh_strip to strip debug info from librarie (LP: #672994).
    This was dropped from boost package in main but has to be put again for
    universe version of boost packages.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sat, 26 Feb 2011 12:08:30 +0000

boost-mpi-source1.42 (1.42.0-4ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Split from boost1.42 to build mpi related packages in Universe
      (libboost-mpi, libboost-mip-python, and libboost-graph-parallel (and
      related -dev packages)
    - Detect gcc atomic intrinsics, needed for arm spinlock (LP: 513721)
    - Adjust debian/rules and debian/control

 -- Scott Kitterman <scott@kitterman.com>  Mon, 18 Oct 2010 12:53:53 -0400

boost1.42 (1.42.0-4) unstable; urgency=low

  * rules: Copy "doc" directories to $htmldir with --parents option so
    that they end up in the right place.  Closes: #586578.
  
  * patches/lambda-include-deps.patch: New.  Adapted from upstream
    changeset 61881.  Closes: #581706.
  
  * patches/boost-python-examples.patch: Remove "-mt" suffix from
    libboost_python.  Also patch examples/tutorial/Jamroot.  
    Closes: #577793.
  
  * control: Raise priority of libboost-iostreams, since important package
    aptitude depends on it.  Closes: #588608.
  
  * patches/fusion-name-qual.patch: qualify names in boost::fusion
    namespace.  Closes: #588204.

 -- Steve M. Robbins <smr@debian.org>  Sun, 25 Jul 2010 22:26:18 -0500

boost1.42 (1.42.0-3ubuntu1) maverick; urgency=low

  * Merge from Debian Unstable (based on boost1.40).  Ubuntu changes:
    - Detect gcc atomic intrinsics, needed for arm spinlock (LP: 513721)
    - Drop libboost-mpi, libboost-mip-python, and libboost-graph-parallel (and
      related -dev packages): nothing uses thess, and we don't want to pull all
      of the mpi packages into main.
    - Adjust debian/rules and debian/control

 -- Scott Kitterman <scott@kitterman.com>  Thu, 06 May 2010 22:54:04 -0400

boost1.42 (1.42.0-3) unstable; urgency=low

  * rules: Add test_exec_monitor.  Closes: #539350.  (Previous upload was
    broken.)

 -- Steve M. Robbins <smr@debian.org>  Mon, 01 Mar 2010 20:33:39 -0600

boost1.42 (1.42.0-2) unstable; urgency=low

  * rules: Add test_exec_monitor.  Closes: #539350.

 -- Steve M. Robbins <smr@debian.org>  Sat, 27 Feb 2010 22:04:09 -0600

boost1.42 (1.42.0-1) unstable; urgency=low

  * New upstream.
    - documentation-files: Update.
  
  * patches/boost-test-invalid-read.patch: Remove.  Alternate fix applied
    upstream.

  * patches/boost/iostreams/device/mapped_file-header-guard.patch: 
  * patches/boost-graph-printf.patch: Remove.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Sat, 06 Feb 2010 20:26:56 -0600

boost1.41 (1.41.0-3) unstable; urgency=low

  * patches/date_time_date_formatting_hpp.patch: Change
    std::locale::locale() to std::locale().  Closes: #564860.

 -- Steve M. Robbins <smr@debian.org>  Sun, 17 Jan 2010 22:17:39 -0600

boost1.41 (1.41.0-2) unstable; urgency=low

  * patches/boost-graph-printf.patch: New.  Include stdio.h, to define
    fprintf() and stderr.
  
  * patches/kfreebsd-thread.patch: New (thanks, Petr Salinger).  Fix
    checks for __GLIBC__ source so that it builds on GNU/kFreeBSD.  
  
 -- Steve M. Robbins <smr@debian.org>  Tue, 12 Jan 2010 00:51:40 -0600

boost1.41 (1.41.0-1) unstable; urgency=low

  * New upstream.  Closes: #563108.
  
  * patches/boost-build-pythonid.patch:
  * rules: Switch --pythonid to --xpythonid;
    c.f. https://svn.boost.org/trac/boost/ticket/3814
  
  * Merge changes from 1.40.0-5:
    - Switch to source format "3.0 (quilt)".
    - Remove hard-coding of python versions.

  * rules: Provide a constant reference to latest documentation.  
    Closes: #548270.
  
  * control: Package libboost-mpi-python1.41 conflicts with
    libboost-mpi-python1.40, since both provide
    /usr/lib/pyshared/python2.5/boost/mpi.so.

  * patches/mapped_file-header-guard.patch: New.  Add missing header guard
    (thanks, Sven Geggus).
  
 -- Steve M. Robbins <smr@debian.org>  Sun, 03 Jan 2010 20:46:58 -0600

boost1.40 (1.40.0-4) unstable; urgency=low

  * rtupdate: Don't die if link target doesn't exist.  Update of
    libboost_mpi_python links failed when boost-python but not
    boost-mpi-python installed, causing postinst to fail.  
    Closes: #556625.

 -- Steve M. Robbins <smr@debian.org>  Tue, 17 Nov 2009 20:58:40 -0600

boost1.40 (1.40.0-3) unstable; urgency=low

  * rules: Keep all headers in package libboostX.Y-dev to avoid bugs about
    one boost lib using headers of another boost lib.  Boost is developed
    as a monolith.  Closes: #548503, #553281, #550006.
  
  * control(libboost1.40-dev): Move libboost-python1.40-dev from Depends
    to Suggests; this is possible now that -dev contains all the header
    files.  Closes: #549935.
  
  * patches/boost-build-pythonid.patch: New (thanks, Gaudenz
    Steinlin).  Add --pythonid parameter to the build system to only add
    an identification to Python libraries.

  * control:
  * rtupdate:
  * rules: Build libboost-mpi-python1.40.0 and
    libboost-mpi-python1.40-dev.  Thanks again to Gaudenz Steinlin.
    Closes: #552014.
  
  * patches/hurd-ellint_rd.patch:
  * patches/hurd-execution_monitor.patch: New (thanks, Pino Toscano).
    Patches for building on hurd.  Closes: #552383.


