=== debian/control ===
Source: boost-mpi-source1.42
Homepage: http://www.boost.org/
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>, Domenico Andreoli <cavok@debian.org>
Build-Depends: debhelper (>= 7), bison, flex, docbook-to-man, xsltproc, doxygen, zlib1g-dev, libbz2-dev, libicu-dev, python-all-dev, python-support (>= 0.6), mpi-default-dev, libboost1.42-all-dev
Build-Conflicts: boost-build, libopenmpi-dev (= 1.3.2-2)
XS-Python-Version: >= 2.4
Vcs-Browser: http://svn.debian.org/wsvn/pkg-boost/boost/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-boost/boost/trunk
Standards-Version: 3.8.3

Package: libboost-graph-parallel1.42.0
Homepage: http://www.boost.org/libs/graph_parallel/
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: graphviz
Description: generic graph components and algorithms in C++
 This package forms part of the Boost C++ Libraries collection.
 .
 The Parallel Boost Graph Library is an extension to the Boost Graph Library
 (BGL) for parallel and distributed computing. It offers distributed graphs 
 and graph algorithms to exploit coarse-grained parallelism along with 
 parallel algorithms that exploit fine-grained parallelism, while retaining 
 the same interfaces as the (sequential) BGL. Code written using the sequential
 BGL should be easy to parallelize with the parallel BGL.

Package: libboost-graph-parallel1.42-dev
Homepage: http://www.boost.org/libs/graph_parallel/
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.42-dev (= ${binary:Version}),
 libboost-serialization1.42-dev (= ${binary:Version}),
 libboost-test1.42-dev (= ${binary:Version})
Conflicts: libboost-graph-parallel1.40-dev,
 libboost-graph-parallel1.41-dev
Recommends: libboost-graph-parallel1.42.0 (= ${binary:Version})
Description: generic graph components and algorithms in C++
 This package forms part of the Boost C++ Libraries collection.
 .
 The Parallel Boost Graph Library is an extension to the Boost Graph Library
 (BGL) for parallel and distributed computing. It offers distributed graphs 
 and graph algorithms to exploit coarse-grained parallelism along with 
 parallel algorithms that exploit fine-grained parallelism, while retaining 
 the same interfaces as the (sequential) BGL. Code written using the sequential
 BGL should be easy to parallelize with the parallel BGL.

Package: libboost-mpi1.42.0
Homepage: http://www.boost.org/doc/html/mpi.html
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ interface to the Message Passing Interface (MPI)
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.MPI library provides a C++ interface to MPI that
 supports modern C++ development styles, including complete support for
 user-defined data types and C++ Standard Library types, arbitrary function
 objects for collective algorithms, and the use of modern C++ library
 techniques to maintain maximal efficiency.

Package: libboost-mpi1.42-dev
Homepage: http://www.boost.org/doc/html/mpi.html
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.42-dev (= ${binary:Version}),
 libboost-serialization1.42-dev (= ${binary:Version}),
 libboost-mpi1.42.0 (= ${binary:Version}),
 mpi-default-dev
Suggests: libboost-graph1.42-dev
Conflicts: libboost-mpi1.37-dev,
 libboost-mpi1.38-dev,
 libboost-mpi1.39-dev,
 libboost-mpi1.40-dev,
 libboost-mpi1.41-dev
Description: C++ interface to the Message Passing Interface (MPI)
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.MPI library provides a C++ interface to MPI that
 supports modern C++ development styles, including complete support for
 user-defined data types and C++ Standard Library types, arbitrary function
 objects for collective algorithms, and the use of modern C++ library
 techniques to maintain maximal efficiency.

Package: libboost-mpi-python1.42.0
Homepage: http://www.boost.org/doc/html/mpi/python.html
Architecture: any
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Conflicts: libboost-mpi-python1.40.0,
 libboost-mpi-python1.41.0
Description: C++ interface to the Message Passing Interface (MPI), Python Bindings
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.MPI library provides a C++ interface to MPI that
 supports modern C++ development styles, including complete support for
 user-defined data types and C++ Standard Library types, arbitrary function
 objects for collective algorithms, and the use of modern C++ library
 techniques to maintain maximal efficiency.
 .
 This package provides Python Bindings to the C++ interface.

Package: libboost-mpi-python1.42-dev
Homepage: http://www.boost.org/doc/html/mpi/python.html
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost-mpi1.42-dev (= ${binary:Version}),
 libboost-mpi-python1.42.0 (= ${binary:Version})
Conflicts: libboost-mpi-python1.40-dev,
 libboost-mpi-python1.41-dev
Description: C++ interface to the Message Passing Interface (MPI), Python Bindings
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.MPI library provides a C++ interface to MPI that
 supports modern C++ development styles, including complete support for
 user-defined data types and C++ Standard Library types, arbitrary function
 objects for collective algorithms, and the use of modern C++ library
 techniques to maintain maximal efficiency.
 .
 This package provides Python Bindings to the C++ interface.

Package: libboost-graph-parallel-dev
Homepage: http://www.boost.org/libs/graph_parallel/
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost-graph-parallel1.42-dev
Description: generic graph components and algorithms in C++ (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 The Parallel Boost Graph Library is an extension to the Boost Graph Library
 (BGL) for parallel and distributed computing. It offers distributed graphs 
 and graph algorithms to exploit coarse-grained parallelism along with 
 parallel algorithms that exploit fine-grained parallelism, while retaining 
 the same interfaces as the (sequential) BGL. Code written using the sequential
 BGL should be easy to parallelize with the parallel BGL.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.42).

Package: libboost-mpi-dev
Homepage: http://www.boost.org/doc/html/mpi.html
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost-mpi1.42-dev
Description: C++ interface to the Message Passing Interface (MPI) (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.MPI library provides a C++ interface to MPI that
 supports modern C++ development styles, including complete support for
 user-defined data types and C++ Standard Library types, arbitrary function
 objects for collective algorithms, and the use of modern C++ library
 techniques to maintain maximal efficiency.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.42).

Package: libboost-mpi-python-dev
Homepage: http://www.boost.org/doc/html/mpi.html
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost-mpi1.42-dev
Description: Python interface to the Message Passing Interface (MPI) (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.MPI library provides a C++ interface to MPI that
 supports modern C++ development styles, including complete support for
 user-defined data types and C++ Standard Library types, arbitrary function
 objects for collective algorithms, and the use of modern C++ library
 techniques to maintain maximal efficiency.
 .
 This package provides Python Bindings to the C++ interface.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.42).
